com.holonplatform.core.datastore

## Class DatastoreConfigProperties.DatastoreConfigPropertiesImpl

- java.lang.Object
- - com.holonplatform.core.internal.config.DefaultConfigPropertySet
  - - com.holonplatform.core.datastore.DatastoreConfigProperties.DatastoreConfigPropertiesImpl

- All Implemented Interfaces:
    ConfigPropertySet, DataContextBound, DatastoreConfigProperties
  Enclosing interface:
    DatastoreConfigProperties

      public static class DatastoreConfigProperties.DatastoreConfigPropertiesImpl
      extends com.holonplatform.core.internal.config.DefaultConfigPropertySet
      implements DatastoreConfigProperties

  Default implementation

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.holonplatform.core.internal.config.DefaultConfigPropertySet

      `com.holonplatform.core.internal.config.DefaultConfigPropertySet.DefaultBuilder<C extends ConfigPropertySet>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.datastore.DatastoreConfigProperties

      `DatastoreConfigProperties.DatastoreConfigPropertiesImpl`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.config.ConfigPropertySet

      `ConfigPropertySet.Builder<C extends ConfigPropertySet>, ConfigPropertySet.ConfigurationException`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.core.datastore.DatastoreConfigProperties

      `DEFAULT_NAME, DIALECT, TRACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DatastoreConfigPropertiesImpl(String dataContextId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Optional<String>` | `getDataContextId()` Get data context id, if available.

    - ### Methods inherited from class com.holonplatform.core.internal.config.DefaultConfigPropertySet

      `addAliasName, addPropertyProvider, getConfigPropertyName, getConfigPropertyValue, getName, getSubPropertiesUsingPrefix, hasConfigProperty, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.core.datastore.DatastoreConfigProperties

      `builder, builder, getDialect, isTrace`

    - ### Methods inherited from interface com.holonplatform.core.config.ConfigPropertySet

      `getConfigPropertyName, getConfigPropertyValue, getConfigPropertyValue, getConfigPropertyValueOrElse, getName, getSubPropertiesUsingPrefix, hasConfigProperty`

- - ### Constructor Detail

    - #### DatastoreConfigPropertiesImpl

          public DatastoreConfigPropertiesImpl(String dataContextId)

  - ### Method Detail

    - #### getDataContextId

          public Optional<String> getDataContextId()

      Description copied from interface: `DataContextBound`
      Get data context id, if available.
      Specified by:
        `getDataContextId` in interface `DataContextBound`
      Returns:
        Optional data context id

Copyright © 2019 The Holon Platform. All rights reserved.